Public Types | Public Member Functions | List of all members
rapidjson::BaseReaderHandler< Encoding, Derived > Struct Template Reference

Default implementation of Handler. More...

`#include <reader.h>`

## Public Types
typedef Encoding::Ch | Ch
typedef internal::SelectIf< internal::IsSame< Derived, void >, BaseReaderHandler, Derived >::Type | Override

## Public Member Functions
bool | Default ()
bool | Null ()
bool | Bool (bool)
bool | Int (int)
bool | Uint (unsigned)
bool | Int64 (int64_t)
bool | Uint64 (uint64_t)
bool | Double (double)
bool | RawNumber (const Ch *str, SizeType len, bool copy)
| enabled via kParseNumbersAsStringsFlag, string is not null-terminated (use length)
bool | String (const Ch *, SizeType, bool)
bool | StartObject ()
bool | Key (const Ch *str, SizeType len, bool copy)
bool | EndObject (SizeType)
bool | StartArray ()
bool | EndArray (SizeType)

## Detailed Description

### template<typename Encoding = UTF8<>, typename Derived = void>
struct rapidjson::BaseReaderHandler< Encoding, Derived >

Default implementation of Handler.

This can be used as base class of any reader handler.

Note
  implements Handler concept

The documentation for this struct was generated from the following files:

- include/rapidjson/fwd.h
- include/rapidjson/reader.h